Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.ui
Interface IPluginTabView

    com.change_vision.jude.api.inf.ui.IPluginTabView

All Known Implementing Classes:
  IPluginTabView.Stub

    public IPluginTabView

Interface to add new tab to the project view by Plug-in.

Nested Class Summary
`class` | `IPluginTabView.Stub` The stub implementation of IPluginTabView

Method Summary
`abstract void` | `addSelectionListener(ISelectionListener listener)` This method is called by the application to add a listener to know what is selected in the tab.
`abstract Component` | `getComponent()` Implement to show the content of the tab
`abstract String` | `getDescription()` Implement to show the description of the tab
`abstract Object[]` | `getSelectedModels()` Implement to get the selected models in the tab.
`abstract String` | `getTitle()` Implement to show the title of the tab.
`abstract void` | `initTreeModel()` This method is called when the tab is initialized by the application.

Method Detail

### getTitle

    abstract String getTitle()

  Implement to show the title of the tab.

  Returns:
    title the title of the tab

### getDescription

    abstract String getDescription()

  Implement to show the description of the tab

  Returns:
    description the description of the tab

### getComponent

    abstract Component getComponent()

  Implement to show the content of the tab

  Returns:
    component the content of the tab

### getSelectedModels

    abstract Object[] getSelectedModels()

  Implement to get the selected models in the tab.

  Returns:
    models the selected models in the tab

### initTreeModel

    abstract void initTreeModel()

  This method is called when the tab is initialized by the application.

### addSelectionListener

    abstract void addSelectionListener(ISelectionListener listener)

  This method is called by the application to add a listener to know what is selected in the tab.

  Parameters:
    `listener` - the listener to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD